Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 1308943005: [NetInfo] Add Blink support for connection.change, connection.downlinkMax, and wimax (Closed)

Created:
3 years, 10 months ago by jkarlin
Modified:
3 years, 9 months ago
CC:
blink-reviews, Inactive, dglazkov+blink, vivekg_samsung, vivekg
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Target Ref:
refs/heads/master
Project:
blink
Visibility:
Public.

Description

[NetInfo] Add Blink support for connection.change, connection.downlinkMax, and wimax Intent to implement: https://groups.google.com/a/chromium.org/forum/#!topic/blink-dev/MyINCevjAJA The NetInfo spec changed as follows: 1) wimax is now a connection type 2) connection.ontypechange has moved to onchange (we will deprecate ontypechange once onchange is shipped) 3) connection.downlinkMax has been added This CL adds Blink support for those changes. ontypechange is deprecated in favor of onchange. Tests are updated to use onchange. downlinkMax support is added but defaults to 0.0 until the browser process starts sending real values. Patch 1) https://crrev.com/1308943005 (this) Patch 2) https://crrev.com/1306423004 Patch 3) https://crrev.com/1309903006 BUG=412741 Committed: https://crrev.com/0f272259925a7cada050cc403d25ff804f4b918b git-svn-id: svn://svn.chromium.org/blink/trunk@201984 bbb929c8-8fbe-4397-9dbb-9b2b20218538

Patch Set 1 #

Patch Set 2 : Cleanup #

Patch Set 3 : Rebase #

Patch Set 4 : Add owners file #

Patch Set 5 : Rebase #

Patch Set 6 : Update test expectations #

Total comments: 14

Patch Set 7 : Address comments from PS6 #

Patch Set 8 : Rebase #

Patch Set 9 : Another unnamed double #

Patch Set 10 : Rebase #

Patch Set 11 : Rebase #

Patch Set 12 : Add units #

Total comments: 4

Patch Set 13 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+286 lines, -123 lines) Patch
M LayoutTests/fast/dom/Window/property-access-on-cached-properties-after-frame-navigated-expected.txt View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M LayoutTests/fast/dom/Window/property-access-on-cached-properties-after-frame-removed-and-gced-expected.txt View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M LayoutTests/fast/dom/Window/property-access-on-cached-properties-after-frame-removed-expected.txt View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M LayoutTests/fast/dom/Window/property-access-on-cached-window-after-frame-navigated-expected.txt View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M LayoutTests/fast/dom/Window/property-access-on-cached-window-after-frame-removed-and-gced-expected.txt View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M LayoutTests/fast/dom/Window/property-access-on-cached-window-after-frame-removed-expected.txt View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M LayoutTests/fast/dom/Window/resources/window-property-collector.js View 1 2 3 4 5 1 chunk +2 lines, -0 lines 0 comments Download
M LayoutTests/http/tests/serviceworker/webexposed/global-interface-listing-service-worker-expected.txt View 1 2 3 4 5 6 7 1 chunk +3 lines, -0 lines 0 comments Download
M LayoutTests/netinfo/basic-operation.html View 1 2 3 4 5 6 1 chunk +16 lines, -4 lines 0 comments Download
M LayoutTests/netinfo/basic-operation-expected.txt View 1 2 3 4 5 6 1 chunk +5 lines, -0 lines 0 comments Download
M LayoutTests/netinfo/connection-types.html View 1 1 chunk +20 lines, -10 lines 0 comments Download
M LayoutTests/netinfo/connection-types-expected.txt View 1 chunk +32 lines, -7 lines 0 comments Download
M LayoutTests/netinfo/multiple-frames.html View 3 chunks +8 lines, -4 lines 0 comments Download
M LayoutTests/netinfo/resources/netinfo_common.js View 1 chunk +7 lines, -3 lines 0 comments Download
M LayoutTests/netinfo/resources/web-worker.js View 1 chunk +4 lines, -4 lines 0 comments Download
M LayoutTests/netinfo/type-change-no-listener.html View 1 chunk +2 lines, -1 line 0 comments Download
M LayoutTests/netinfo/type-change-no-listener-expected.txt View 1 chunk +1 line, -0 lines 0 comments Download
M LayoutTests/netinfo/unregister-during-event.html View 1 chunk +8 lines, -5 lines 0 comments Download
M LayoutTests/netinfo/unregister-during-event-expected.txt View 1 chunk +2 lines, -0 lines 0 comments Download
M LayoutTests/netinfo/web-worker.html View 1 chunk +5 lines, -5 lines 0 comments Download
M LayoutTests/webexposed/global-interface-listing-dedicated-worker-expected.txt View 1 2 3 4 5 6 7 1 chunk +3 lines, -0 lines 0 comments Download
M LayoutTests/webexposed/global-interface-listing-expected.txt View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +3 lines, -0 lines 0 comments Download
M LayoutTests/webexposed/global-interface-listing-shared-worker-expected.txt View 1 2 3 4 5 6 7 1 chunk +3 lines, -0 lines 0 comments Download
M Source/core/frame/UseCounter.h View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +4 lines, -0 lines 0 comments Download
M Source/core/page/NetworkStateNotifier.h View 1 2 3 4 5 6 7 8 9 10 11 5 chunks +17 lines, -5 lines 0 comments Download
M Source/core/page/NetworkStateNotifier.cpp View 1 2 3 4 5 6 7 8 9 10 11 3 chunks +22 lines, -21 lines 0 comments Download
M Source/core/page/NetworkStateNotifierTest.cpp View 1 2 3 4 5 6 7 8 9 10 11 15 chunks +63 lines, -43 lines 0 comments Download
M Source/core/testing/Internals.h View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +3 lines, -2 lines 0 comments Download
M Source/core/testing/Internals.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 3 chunks +4 lines, -2 lines 0 comments Download
M Source/core/testing/Internals.idl View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -1 line 0 comments Download
M Source/modules/netinfo/NetworkInformation.h View 1 2 3 4 5 6 7 8 9 10 11 3 chunks +8 lines, -2 lines 0 comments Download
M Source/modules/netinfo/NetworkInformation.cpp View 1 2 3 4 5 6 7 8 9 10 11 4 chunks +18 lines, -2 lines 0 comments Download
M Source/modules/netinfo/NetworkInformation.idl View 1 1 chunk +7 lines, -2 lines 0 comments Download
A + Source/modules/netinfo/OWNERS View 1 2 3 0 chunks +-1 lines, --1 lines 0 comments Download
M Source/platform/RuntimeEnabledFeatures.in View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -0 lines 0 comments Download
M Source/web/WebNetworkStateNotifier.cpp View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +6 lines, -1 line 0 comments Download
M public/platform/WebConnectionType.h View 1 chunk +1 line, -0 lines 0 comments Download
M public/web/WebNetworkStateNotifier.h View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +2 lines, -0 lines 0 comments Download

Messages

Total messages: 17 (6 generated)
jkarlin
adamk: PTAL at everythin, many thanks!
3 years, 10 months ago (2015-08-27 15:46:14 UTC) #2
adamk
I'd recommend leaving at least one test for the existing ontypechange event; though it's deprecated, ...
3 years, 10 months ago (2015-08-28 00:55:31 UTC) #3
jkarlin
Thanks. In terms of leaving a test for ontypechange, That's now done in basic-operations.html. https://codereview.chromium.org/1308943005/diff/100001/Source/core/page/NetworkStateNotifier.h ...
3 years, 9 months ago (2015-09-02 17:37:07 UTC) #4
jkarlin
adamk@ Gentle reminder to PTAL when you get back, thanks!
3 years, 9 months ago (2015-09-08 17:16:39 UTC) #7
adamk
lgtm (you'll need a public/ OWNER for a few bits, though)
3 years, 9 months ago (2015-09-08 20:37:41 UTC) #8
jkarlin
jochen@chromium.org: Please review changes in public/ and approve for OWNERS in modules/netinfo (I'm the primary ...
3 years, 9 months ago (2015-09-08 20:56:13 UTC) #10
jochen (gone - plz use gerrit)
lgtm with comments https://codereview.chromium.org/1308943005/diff/240001/public/platform/WebConnectionType.h File public/platform/WebConnectionType.h (right): https://codereview.chromium.org/1308943005/diff/240001/public/platform/WebConnectionType.h#newcode38 public/platform/WebConnectionType.h:38: ConnectionTypeCellular = 0, please rename those ...
3 years, 9 months ago (2015-09-09 14:30:06 UTC) #11
jkarlin
https://codereview.chromium.org/1308943005/diff/240001/public/platform/WebConnectionType.h File public/platform/WebConnectionType.h (right): https://codereview.chromium.org/1308943005/diff/240001/public/platform/WebConnectionType.h#newcode38 public/platform/WebConnectionType.h:38: ConnectionTypeCellular = 0, On 2015/09/09 14:30:06, jochen wrote: > ...
3 years, 9 months ago (2015-09-09 15:00:23 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1308943005/260001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1308943005/260001
3 years, 9 months ago (2015-09-09 16:03:01 UTC) #15
commit-bot: I haz the power
Committed patchset #13 (id:260001) as https://src.chromium.org/viewvc/blink?view=rev&revision=201984
3 years, 9 months ago (2015-09-09 17:40:23 UTC) #16
commit-bot: I haz the power
3 years, 9 months ago (2015-09-23 12:00:49 UTC) #17
Message was sent while issue was closed.
Patchset 13 (id:??) landed as
https://crrev.com/0f272259925a7cada050cc403d25ff804f4b918b

Powered by Google App Engine
This is Rietveld 408576698